Bug 800731 - Review Request: fcitx-table-extra - Extra tables for Fcitx
Review Request: fcitx-table-extra - Extra tables for Fcitx
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-07 00:44 EST by Liang Suilong
Modified: 2012-06-05 19:12 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-05 19:06:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Liang Suilong 2012-03-07 00:44:05 EST
SPEC: http://liangsuilong.fedorapeople.org/fcitx/fcitx-table-extra.spec
SRPM: http://liangsuilong.fedorapeople.org/fcitx/fcitx-table-extra-0.1.0-1.fc16.src.rpm
Description: Fcitx-table-extra provides extra table for Fcitx, including Boshiamy, Zhengma, and Cangjie 3/5.
Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=3819661
Comment 1 Parag AN(पराग) 2012-04-26 03:09:56 EDT
Review:-
+ koji scratch build for f17 ->http://koji.fedoraproject.org/koji/taskinfo?taskID=4023810

+ rpmlint on rpms gave
fcitx-table-extra.src: W: spelling-error %description -l en_US Boshiamy -> Bosomy
fcitx-table-extra.src: W: strange-permission fcitx-table-extra.spec 0777L
fcitx-table-extra.src:41: W: macro-in-comment %{_datadir}
fcitx-table-extra.src:42: W: macro-in-comment %{_datadir}
fcitx-table-extra.src:42: W: macro-in-comment %{_datadir}
fcitx-table-extra.src:5: W: mixed-use-of-spaces-and-tabs (spaces: line 1, tab: line 5)
fcitx-table-extra.src: W: invalid-url Source0: http://fcitx.googlecode.com/files/fcitx-table-extra-0.1.0.tar.bz2 HTTP Error 404: Not Found
fcitx-table-extra.noarch: W: spelling-error %description -l en_US Boshiamy -> Bosomy
fcitx-table-extra.noarch: E: zero-length /usr/share/doc/fcitx-table-extra-0.1.0/ChangeLog
2 packages and 0 specfiles checked; 1 errors, 8 warnings.

+ Source verified with upstream as (sha1sum)
71a37f869bbe8a6876f7cabd8294a7346849aee9  fcitx-table-extra-0.1.0.tar.bz2
71a37f869bbe8a6876f7cabd8294a7346849aee9  ../SOURCES/fcitx-table-extra-0.1.0.tar.bz2


suggestions:
1) Fix the rpmlint messages. 
  a) macro when added in comment should use %% instead of %
  b) mixed-use-of-spaces-and-tabs message can be fixed using command
     sed -i 's|\t| |g' fcitx-table-extra.spec
  c) zero-length error can be fixed by removing it from spec

2) If package is only for Fedora then no need to add
  a) %clean section (see http://fedoraproject.org/wiki/Packaging:Guidelines#.25clean)
  b) removal of buildroot in %install (remove line rm -rf $RPM_BUILD_ROOT)
  c) remove line %defattr(-,root,root,-)

3) please don't use commands in macro that is change %{__mkdir} to "mkdir"

4) package don't need to BuildRequires:fcitx but Requires:fcitx

5) make each line of description of 80 characters.

6) Ask the upstream to add license file in tarball.

7) You need to use http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Icon_Cache as you are installing icon files.
Comment 2 Parag AN(पराग) 2012-04-26 05:14:57 EDT
8) Use following commands in %build
%cmake ..
make VERBOSE=1 %{?_smp_mflags}

9) %install should preserve timestamp using 
   make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
Comment 3 Liang Suilong 2012-05-03 12:56:28 EDT
Koji Result: http://koji.fedoraproject.org/koji/taskinfo?taskID=4050344
SRPM: http://liangsuilong.fedorapeople.org/fcitx/fcitx-table-extra-0.2.1-1.fc16.src.rpm
SPEC: http://liangsuilong.fedorapeople.org/fcitx/fcitx-table-extra.spec

(In reply to comment #1)
> Review:-
> + koji scratch build for f17
> ->http://koji.fedoraproject.org/koji/taskinfo?taskID=4023810
> 
> + rpmlint on rpms gave
> fcitx-table-extra.src: W: spelling-error %description -l en_US Boshiamy ->
> Bosomy
> fcitx-table-extra.src: W: strange-permission fcitx-table-extra.spec 0777L
> fcitx-table-extra.src:41: W: macro-in-comment %{_datadir}
> fcitx-table-extra.src:42: W: macro-in-comment %{_datadir}
> fcitx-table-extra.src:42: W: macro-in-comment %{_datadir}
> fcitx-table-extra.src:5: W: mixed-use-of-spaces-and-tabs (spaces: line 1, tab:
> line 5)
> fcitx-table-extra.src: W: invalid-url Source0:
> http://fcitx.googlecode.com/files/fcitx-table-extra-0.1.0.tar.bz2 HTTP Error
> 404: Not Found
> fcitx-table-extra.noarch: W: spelling-error %description -l en_US Boshiamy ->
> Bosomy
> fcitx-table-extra.noarch: E: zero-length
> /usr/share/doc/fcitx-table-extra-0.1.0/ChangeLog
> 2 packages and 0 specfiles checked; 1 errors, 8 warnings.
> 
> + Source verified with upstream as (sha1sum)
> 71a37f869bbe8a6876f7cabd8294a7346849aee9  fcitx-table-extra-0.1.0.tar.bz2
> 71a37f869bbe8a6876f7cabd8294a7346849aee9 
> ../SOURCES/fcitx-table-extra-0.1.0.tar.bz2
> 
> 
> suggestions:
> 1) Fix the rpmlint messages. 
>   a) macro when added in comment should use %% instead of %
>   b) mixed-use-of-spaces-and-tabs message can be fixed using command
>      sed -i 's|\t| |g' fcitx-table-extra.spec
>   c) zero-length error can be fixed by removing it from spec
> 
> 2) If package is only for Fedora then no need to add
>   a) %clean section (see
> http://fedoraproject.org/wiki/Packaging:Guidelines#.25clean)
>   b) removal of buildroot in %install (remove line rm -rf $RPM_BUILD_ROOT)
>   c) remove line %defattr(-,root,root,-)

I want to add el6 support 

> 
> 3) please don't use commands in macro that is change %{__mkdir} to "mkdir"
>
fixed 
 
> 4) package don't need to BuildRequires:fcitx but Requires:fcitx

In fact, It requires fcitx, which contains txt2mb. Building fcitx-table-extra needs txt2mb

> 5) make each line of description of 80 characters.
> 
Fixed

> 6) Ask the upstream to add license file in tarball.
> 
> 7) You need to use
> http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Icon_Cache as you are
> installing icon files.

Done
Comment 4 Parag AN(पराग) 2012-05-07 05:28:08 EDT
1)some rpmlint messages should be fixed at the time of package import.

fcitx-table-extra.src: W: strange-permission fcitx-table-extra.spec 0777L
=> "chmod 644 fcitx-table-extra.spec" should fix this issue and then build srpm and use it to import in git.

fcitx-table-extra.noarch: E: zero-length /usr/share/doc/fcitx-table-extra-0.2.1/ChangeLog
==> This should be removed.

2) Visuality of %description can be improved by writing it as

Fcitx-table-extra provides extra table for Fcitx, including Boshiamy, Zhengma, 
and Cangjie 3/5.

Boshiamy table and its icon are released under their own license.


Fix above issues and then import the srpm


APPROVED.
Comment 5 Liang Suilong 2012-05-07 11:20:08 EDT
New Package SCM Request
=======================
Package Name: fcitx-table-extra
Short Description: Extra Tables for Fcitx.
Owners: liangsuilong
Branches: f15 f16 f17 el6
InitialCC: i18n-team
Comment 6 Gwyn Ciesla 2012-05-07 11:36:46 EDT
Git done (by process-git-requests).
Comment 7 Fedora Update System 2012-05-22 10:09:07 EDT
fcitx-table-extra-0.3.0-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/fcitx-table-extra-0.3.0-1.fc16
Comment 8 Fedora Update System 2012-05-22 10:09:21 EDT
fcitx-table-extra-0.3.0-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/fcitx-table-extra-0.3.0-1.fc15
Comment 9 Fedora Update System 2012-05-22 10:09:57 EDT
fcitx-table-extra-0.3.0-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/fcitx-table-extra-0.3.0-1.fc17
Comment 10 Fedora Update System 2012-05-24 11:35:24 EDT
fcitx-table-extra-0.3.0-1.fc17 has been pushed to the Fedora 17 testing repository.
Comment 11 Fedora Update System 2012-06-05 19:06:40 EDT
fcitx-table-extra-0.3.0-1.fc16 has been pushed to the Fedora 16 stable repository.
Comment 12 Fedora Update System 2012-06-05 19:11:49 EDT
fcitx-table-extra-0.3.0-1.fc17 has been pushed to the Fedora 17 stable repository.
Comment 13 Fedora Update System 2012-06-05 19:12:41 EDT
fcitx-table-extra-0.3.0-1.fc15 has been pushed to the Fedora 15 stable repository.

Note You need to log in before you can comment on or make changes to this bug.